# TODO
# - forcing our cflags breaks build
%define pre alpha6
%define	rel 1
Summary:	KeePassX - Cross Platform Password Manager
Summary(pl.UTF-8):	KeePassX - Wieloplatformowy zarządca haseł
Name:		KeePassX
Version:	2.0
Release:	0.%{pre}.%{rel}
License:	GPL v2+
Group:		X11/Applications
#Source0:	http://downloads.sourceforge.net/keepassx/keepassx-%{version}.tar.gz
Source0:	http://www.keepassx.org/dev/attachments/download/69/keepassx-%{version}-%{pre}.tar.gz
# Source0-md5:	7c1c3a42aff63abd8db3bc8df6c963f6
Patch0:		git.patch
URL:		http://keepassx.sourceforge.net/
BuildRequires:	QtCore-devel >= 4.6.0
BuildRequires:	QtDBus-devel >= 4.6.0
BuildRequires:	QtGui-devel >= 4.6.0
BuildRequires:	QtXml-devel >= 4.6.0
BuildRequires:	libgcrypt-devel >= 1.6
BuildRequires:	qt4-build >= 4.6.0
BuildRequires:	qt4-linguist >= 4.6.0
BuildRequires:	qt4-qmake >= 4.6.0
BuildRequires:	rpmbuild(macros) >= 1.230
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	zlib-devel
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%description -l pl.UTF-8
KeePassX to darmowy i mający otwarte źródła zarządca do przechowywania
haseł, który pozwala na zarządzanie hasłami w bardzo bezpieczny
sposób. Pozwala umieścić wszystkie swoje hasła w jednej bazie, która
jest zabezpieczona poprzez jedno bardzo trudne hasło albo dysk z
kluczem. Wystarczy więc zapamiętać jedno trudne hasło lub umieścić
dysk z kluczem aby odblokować całą bazę z kluczami. Baza jest
zaszyfrowana najlepszymi i najbardziej bezpiecznymi algorytmami
szyfrowania jakie są do tej pory znane (AES i TwoFish).

%prep
%setup -q -n keepassx-%{version}-%{pre}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%update_mime_database

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%update_mime_database

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/keepassx
%{_datadir}/mime/packages/keepassx.xml
%{_desktopdir}/keepassx.desktop
%dir %{_datadir}/keepassx
%{_datadir}/keepassx/icons
%dir %{_datadir}/keepassx/translations
%lang(de) %{_datadir}/keepassx/translations/keepassx_de.qm
%{_datadir}/keepassx/translations/keepassx_en_plurals.qm
%lang(it) %{_datadir}/keepassx/translations/keepassx_it.qm
%lang(nl) %{_datadir}/keepassx/translations/keepassx_nl_NL.qm
%lang(sv) %{_datadir}/keepassx/translations/keepassx_sv.qm
%dir %{_libdir}/keepassx
%attr(755,root,root) %{_libdir}/keepassx/libkeepassx-autotype-x11.so
%{_iconsdir}/hicolor/*x*/apps/keepassx.png
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-keepassx.png
%{_iconsdir}/hicolor/scalable/apps/keepassx.svgz
%changelog
* Sun Nov 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/KeePassX.git;a=log;h=master

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> dddba08
- added update to current git master
- updated BRs

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> e656460
- rel 1

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> e334b5b
- updated to 2.0-alpha6

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 194bc16
- use png icon

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> c638693
- desktop integration stuff

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 6928501
- %lang tag language files

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> d96d522
- use our cc, but not cflags yet

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> ef91f5a
- gcc fixes from fedora

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 665923e
- no qt4-designer needed

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> b08c8c2
- gcc fixes from fedora

* Fri Nov 18 2011 Jacek Konieczny <jajcus@pld-linux.org> 12fc2b0
- do not pack KDE3  'mimelnk' file (pulls kde3support, not installable in Th)
- Release: 2

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 7e8bf49
- 0.4.3

* Fri Feb 05 2010 Szymon Siwek <sls@pld-linux.org> 470f027
- packaged mime* stuff, TODO done

* Fri Jan 22 2010 Szymon Siwek <sls@pld-linux.org> 9da828e
- rel. 1
- unpackaged files

* Fri Jan 22 2010 Szymon Siwek <sls@pld-linux.org> 00f2063
- ver. 0.4.1

* Tue Nov 25 2008 duddits <duddits@pld-linux.org> 503e4d8
- up to 0.3.4

* Sun Oct 19 2008 duddits <duddits@pld-linux.org> 1ef3971
- up to 0.3.3 (thanks to Darek Moszkowicz)

* Sun Aug 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 89df788
- builds on x86_64, don't see any reason for EA

* Fri May 09 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> 543e029
- up to 0.3.1

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 9ba00f8
- qt4-qmake -> qmake-qt4

